Bug 132679 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 15:02 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 17:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-09-15 15:02:18 EDT
Description of problem:

I just tried to compile package pyxf86config-0.3.18-3 from
Redhat Fedora Core 3 Test 1.

The compiler said

pyxf86conf.c(2079): remark #592: variable "item" is used before its
value is set

The source code is

      range.lo = (float)PyInt_AsLong(item);

but the previous mention of item is

  PyObject *item;

I don't know what the fix is for this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Jackson 2006-04-19 13:54:18 EDT
still valid in 0.3.24.
Comment 2 Matthew Miller 2006-07-10 17:01:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Adam Jackson 2006-08-21 17:56:35 EDT
Fixed in 0.3.28-1.

Note You need to log in before you can comment on or make changes to this bug.